%global srcname colcon-notification

Name:           python-%{srcname}
Version:        0.2.15
Release:    1%{?dist}
Summary:        Extension for colcon to provide status notifications

License:        ASL 2.0
URL:            https://colcon.readthedocs.io
Source0:        https://github.com/colcon/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

Patch0:         %{name}-0.2.8-data-files.patch

BuildArch:      noarch

%description
An extension for colcon-core to provide status notifications.


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-colcon-core >= 0.3.7
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-setuptools >= 30.3.0
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%if %{undefined __pythondist_requires}
Requires:       python%{python3_pkgversion}-colcon-core >= 0.3.7
Requires:       python%{python3_pkgversion}-notify2
%endif

%description -n python%{python3_pkgversion}-%{srcname}
An extension for colcon-core to provide status notifications.


%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
BUILD_DEBIAN_PACKAGE=1 \
    %py3_build


%install
BUILD_DEBIAN_PACKAGE=1 \
    %py3_install


%check
%{__python3} -m pytest \
    --ignore=test/test_spell_check.py \
    --ignore=test/test_flake8.py \
    -W "ignore:pkg_resources is deprecated as an API::pkg_resources" \
    test


%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/colcon_notification/
%{python3_sitelib}/colcon_notification-%{version}-py%{python3_version}.egg-info/


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.15-1
- initial build
